### A free/open-source library for quantitative finance

Public Member Functions
BjerksundStenslandApproximationEngine Class Reference
Vanilla option engines

Bjerksund and Stensland pricing engine for American options (1993) More...

`#include <ql/pricingengines/vanilla/bjerksundstenslandengine.hpp>`

Inherits engine.

List of all members.

## Public Member Functions

| BjerksundStenslandApproximationEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &)
void | calculate () const

## Detailed Description

Bjerksund and Stensland pricing engine for American options (1993)

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.

Examples:
  EquityOption.cpp.